millesima_client_representant_index:
    path:     /dossiers
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:index}

millesima_client_representant_dossier_creer:
    path:     /dossiers/crees
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:dossierListeCreer}

millesima_client_representant_dossier_encours:
    path:     /dossiers/encours
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:dossierListeEncours}

millesima_client_representant_dossier_confirmer:
    path:     /dossiers/confirmes
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:dossierListeConfirmer}

millesima_client_representant_dossier_valider:
    path:     /dossiers/valides
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:dossierListeValider}

millesima_client_representant_dossier_cloturer:
    path:     /dossiers/clotures
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:dossierListeCloturer}

millesima_client_representant_demande_edit:
    path:      /demande/{id}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:editDemande}

################### Ajax requests #######################

millesima_client_representant_ajax_get_by_region_and_type:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ClientBuyer:getFournisseursByRegionAndType}
    options:
        expose: true

millesima_client_representant_ajax_get_by_region_and_type_for_edit:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getFournisseursByRegionAndTypeEdit}
    options:
        expose: true

millesima_client_representant_ajax_get_by_region_and_type_for_show:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getFournisseursByRegionAndTypeEditShow}
    options:
        expose: true

millesima_client_representant_ajax_get_articles_by_fournisseur:
    path:     /demande/get_by_fournisseurs/{idFournisseur}
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getArticlesByFournisseur}
    options:
        expose: true

millesima_client_representant_ajax_get_articles_by_fournisseur_for_edit:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getArticlesByFournisseurEdit}
    options:
        expose: true

millesima_client_representant_ajax_get_articles_by_fournisseur_for_show:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getArticlesByFournisseurEditShow}
    options:
        expose: true

millesima_client_representant_ajax_get_comptes_facturation_by_account:
    path:     /demande/get_by_compte/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getCompteFacturationByCompte}
    options:
        expose: true

millesima_client_representant_ajax_get_comptes_facturation_by_account_for_edit:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getCompteFacturationByCompteEdit}
    options:
        expose: true

millesima_client_representant_ajax_get_comptes_facturation_by_account_for_show:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getCompteFacturationByCompteEditShow}
    options:
        expose: true

millesima_client_representant_ajax_get_client:
    path:     /demande/get_client
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getClient}
    options:
        expose: true

millesima_client_representant_ajax_verfier_compatibilite_article:
    path:     /demande/article/verification/{articles}/{type}
    defaults: { _controller: MillesimaActionsBundle:ClientRepresent:getVerificationArticle}
    options:
        expose: true

###############################################################


millesima_client_representant_profile:
    path:     /profile
    defaults: { _controller: MillesimaActionsBundle::ClientBuyer:showProfile}

millesima_client_representant_profile_edit:
    path:     /profile/edit
    defaults: { _controller: MillesimaActionsBundle::ClientBuyer:editProfile}

millesima_client_representant_coordonne_edit:
    path:     /profile/coordonne/edit
    defaults: { _controller: MillesimaActionsBundle::ClientBuyer:editCoordonne}

millesima_client_representant_password_edit:
    path:     /profile/password/edit
    defaults: { _controller: MillesimaActionsBundle::ClientBuyer:editPassword}

####################